#!/bin/sh
ups=`upsc ups@localhost`
upscharge=`echo "$ups" | grep battery.charge: | tr -cd '0-9\n'`
upsload=`echo "$ups" | grep ups.load | tr -cd '0-9\n' | sed 's/.$//'`
upsruntime=`echo "$ups" | grep battery.runtime: | tr -cd '0-9\n'`
upsinptvolt=`echo "$ups" | grep input.voltage: | tr -cd '0-9\n' | sed 's/.$//'`
echo "<prtg>
   <result>
       <channel>Ladung</channel>
       <unit>Prozent</unit>
       <volumeUnit>%</volumeUnit>
       <mode>Absolute</mode>
       <showChart>1</showChart>
       <showTable>1</showTable>
       <warning>0</warning>
       <float>1</float>
       <value>$upscharge
       </value>
   </result>
   <result>
       <channel>Last</channel>
       <unit>Prozent</unit>
       <volumeUnit>%</volumeUnit>
       <mode>Absolute</mode>
       <showChart>1</showChart>
       <showTable>1</showTable>
       <warning>0</warning>
       <float>1</float>
       <value>$upsload
       </value>
   </result>
   <result>
       <channel>Batterielaufzeit</channel>
       <unit>Sekunden</unit>
       <volumeUnit>s</volumeUnit>
       <mode>Absolute</mode>
       <showChart>1</showChart>
       <showTable>1</showTable>
       <warning>0</warning>
       <float>1</float>
       <value>$upsruntime
       </value>
   </result>
   <result>
       <channel>Netzspannung</channel>
       <unit>Volt</unit>
       <volumeUnit>V</volumeUnit>
       <mode>Absolute</mode>
       <showChart>1</showChart>
       <showTable>1</showTable>
       <warning>0</warning>
       <float>1</float>
       <value>$upsinptvolt
       </value>
   </result>
   <text>USV</text>
</prtg>"